%define anolis_release 3
Name:		perl-List-MoreUtils
Version:	0.430
Release:	%{anolis_release}%{?dist}
Summary:	Provide the stuff missing in List::Util
License:	(GPL+ or Artistic) and ASL 2.0
URL:		https://metacpan.org/release/List-MoreUtils
Source0:	https://cpan.metacpan.org/modules/by-module/List/List-MoreUtils-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(base)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.75
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(lib)
BuildRequires:	perl(PerlIO)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Text::ParseWords)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter::Tiny) >= 0.038
BuildRequires:	perl(List::MoreUtils::XS) >= 0.430
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Exporter)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Math::Trig)
BuildRequires:	perl(overload)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::Builder::Module)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Tie::Array)
#BuildRequires:	perl(Test::LeakTrace)
# Runtime
Requires:	perl(Carp)
Requires:	perl(List::MoreUtils::XS) >= 0.430

%description
List::MoreUtils provides some trivial but commonly needed functionality
on lists that is not going to go into List::Util.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n List-MoreUtils-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license ARTISTIC-1.0 GPL-1 LICENSE
%{perl_vendorlib}/List/
%{_mandir}/man3/List::MoreUtils.3*
%{_mandir}/man3/List::MoreUtils::Contributing.3*
%{_mandir}/man3/List::MoreUtils::PP.3*

%files doc
%doc Changes README.md

%changelog
* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.430-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.430-2
- rebuild with perl 5.36.0

* Tue Jan 17 2023 Funda Wang <fundawang@yeah.net> - 0.430-1
- Import package for anolis 23
